Bug 41350 - installer/fdisk fails to recognize large hdd (30GB)
installer/fdisk fails to recognize large hdd (30GB)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-19 03:42 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback (10.10 KB, text/plain)
2001-06-05 07:43 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-05-19 03:42:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win95; U)

Description of problem:
The redhat 7.1 installer fails to recognise my large IBM (DTLA 307030) 30GB drive. It only recognises the first 2GB.

The system is a gigabyte GA-60XM7E (intl 815e AGPset) motherboard with PIII 733Mhz intel processor, sony cdrom
128MG RAM, Rage mobility (8mb) video card, SB vibra 128 card. 2 Intel ethernet pro 100 cards.

Btw this comp. has an award bios v6.00PG (06/09/2000-i815-ITE8712-6A69RG0BC-00)

How reproducible:
Always

Steps to Reproduce:
1.boot from cdrom
2.run install
3.
	

Expected Results:  would like redhat to see the entire 30gb drive !

Additional info:
Comment 1 Brent Fox 2001-05-19 12:54:02 EDT
We haven't seen this in any of our testing...I have a couple of 40GB drives in
my machines at home that work fine.  This is strange behavior.

When you are in the installer, press <Ctrl><Alt><F2> and type 'cat
/proc/ide/hda/capacity' and post the output of that here.
Comment 2 Need Real Name 2001-05-20 07:30:45 EDT
Capacity  shows as 4128768 (for both 7.0 and 7.1 install)

The 7.1 install is the same (ie only sees 2GB) for any install including the server and custom install). ie. it see the following geometry 257/255/63)

Interestingly, installing 7.0 install does show the entire hard disk drive (ie 30Gb). ie it sees the following logical geometry (3737/255/63) and physical 
(4096/16/63) geometry.

Installing 7.0 with multiple logical partitions (using disk druid) causes the installer to keep over when it encounters say swap at hda8. Have overcome this 
by installing swap as a primary partition (along with /boot).

Trying to upgrade from 7.0 to 7.1 shows an error reading the partition table for the block device hda. The error is - 'no such file or directory'. Whe you 
retry, the errror is 'success'. Btw. during this install the capacity shown is as above.

Bbtw. I have also cleared the partition table and only have rh installed.  I currently have a running 7.0 system
Comment 3 Brent Fox 2001-05-21 13:44:43 EDT
When you get the error message in the installer, does the installer crash?  If
so, can you attach the complete debug message?
Comment 4 Need Real Name 2001-05-21 18:47:04 EDT
No, you keep getting the error msg "success" if you  'retry'..if you choose to 'skip disk' you understandably get the msg 'no valid devices were 
found...blah blah..' your x server then dies and you are back to where you started... ie reboots and you are back to 7.0.

Comment 5 Need Real Name 2001-05-30 07:45:09 EDT
can you let me know the status of this ?
Comment 6 Brent Fox 2001-05-31 15:07:44 EDT
This looks like a problem with the way the 2.4 kernel handles drive geometry.
Comment 7 Arjan van de Ven 2001-05-31 15:11:41 EDT
Strange.. I have exactly that drive in a machine I installed last week.
Does it by chance have a jumper to "clip" the drivesize ?
Comment 8 Need Real Name 2001-05-31 17:32:35 EDT
Have not ckecked jumper existence. However, 7.0 with 2.2 kernal installs and recognises the entire hdd
Comment 9 Arjan van de Ven 2001-05-31 17:34:06 EDT
Strange.
Could you try and see if adding "ide=nodma" as option at the syslinux prompt
helps? You never know ;)
Comment 10 Need Real Name 2001-05-31 17:54:29 EDT
  tried 

        boot: linux ide=nodma

  this a while ago...once more... no joy. :-)

btw. it takes ages to load initrd.img........
Comment 11 Need Real Name 2001-05-31 18:29:10 EDT
should have added that the error was again "an error reading the partition table for the block device hda. theerror was no such file or dir, and a reyt gives 
the error as success, over and over again". same as described earlier.
Comment 12 Need Real Name 2001-06-05 07:43:54 EDT
Created attachment 20293 [details]
traceback
Comment 13 Need Real Name 2001-06-05 08:12:13 EDT
apologies, the above traceback should have contained this note which seems to have got lost...

--above tracceback was from trying a fresh install having wiped my 7.0 install and the partition table.

7.1 only recognised the following c/h/s 257/255/63 however from within the install and fdisk using the expert mode I changed to c/h/s of 3737/255/63 ehih 
is what the disk really is. having created the partitions it bombed out. Seems to have problems with extended partitions...

Comment 14 Arjan van de Ven 2001-06-15 11:06:46 EDT
IBM drives have a jumper to make them clipped to 2Gb. Are you SURE that isn't
jumpered ?

See http://www.storage.ibm.com/techsup/hddtech/dtla/dtlajum.htm
for the jumpersettings
Comment 15 Need Real Name 2001-06-16 00:39:50 EDT
Yes, its not jumpereg to clip the drive. However,  as stated earlier,  rh7.0 installer recognises the entire drive. :-)

I have the following workaround.
-Start rh7.1 install, then use fdisk from within installer to manually change the cylinders to reflect the correct disk size. 
-Create 4 partitions (3 primary) including one extended partition. This is important in the scheme of things as anacnoda crashes on more than one 
extended partition.
-Install rh7.1 into root.
-Reboot and create extended file systems with remaining disk as required using mke2fs.
-Move directories to their own file systems as required. Remembering to make appropriate changes to /etc/fstab
-Reboot and you now have a fully utilised disk with th7.1 installed.
 
Would still like the 7.1 installer to pick up the disk info...
Comment 16 Bugzilla owner 2004-09-30 11:39:00 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.